## visad
Class VisADLineStripArray

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGeometryArray
              visad.VisADLineStripArray

All Implemented Interfaces:
  Cloneable, Serializable

public class VisADLineStripArray
extends VisADGeometryArray

VisADLineStripArray stands in for j3d.LineStripArray and is Serializable.

See Also:
  Serialized Form

Field Summary
`int[]` `stripVertexCounts`

Fields inherited from class visad.VisADGeometryArray
`any_longitude_rotate, colors, coordinates, longitude_axis, longitude_coords, longitude_cs, longitude_map, normals, texCoords, vertexCount, vertexFormat`

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADLineStripArray()`

Method Summary
`VisADGeometryArray` `adjustLongitude(DataRenderer renderer)` split any vectors or triangles crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points
`VisADGeometryArray` `adjustSeam(DataRenderer renderer)` eliminate any vectors or triangles crossing seams of map projections, defined by display-side CoordinateSystems; this default implementation does nothing
`Object` `clone()`
`static VisADLineStripArray` `merge(VisADLineStripArray[] arrays)`
`VisADGeometryArray` `removeMissing()`

Methods inherited from class visad.VisADGeometryArray
`adjustLongitudeBulk, byteArrayString, copy, floatArrayString, getLongitudeRange, getLongitudes, getLongitudes, merge, rotateLongitudes, rotateOneLongitude, toString`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stripVertexCounts

    public int[] stripVertexCounts

Constructor Detail

### VisADLineStripArray

    public VisADLineStripArray()

Method Detail

### merge

    public static VisADLineStripArray merge(VisADLineStripArray[] arrays)
                                     throws VisADException

  Throws:
    `VisADException`

### adjustSeam

    public VisADGeometryArray adjustSeam(DataRenderer renderer)
                                  throws VisADException

  Description copied from class: `VisADGeometryArray`
  eliminate any vectors or triangles crossing seams of map projections, defined by display-side CoordinateSystems; this default implementation does nothing

  Overrides:
    `adjustSeam` in class `VisADGeometryArray`
  Throws:
    `VisADException`

### adjustLongitude

    public VisADGeometryArray adjustLongitude(DataRenderer renderer)
                                       throws VisADException

  Description copied from class: `VisADGeometryArray`
  split any vectors or triangles crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points

  Overrides:
    `adjustLongitude` in class `VisADGeometryArray`
  Throws:
    `VisADException`

### removeMissing

    public VisADGeometryArray removeMissing()

  Overrides:
    `removeMissing` in class `VisADGeometryArray`

### clone

    public Object clone()

  Specified by:
    `clone` in class `VisADGeometryArray`